Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ejie.r01f.guids
Class GUIDDispenserDef

    java.lang.Object
      com.ejie.r01f.guids.GUIDDispenserDef

public class GUIDDispenserDef
extends java.lang.Object

Definicion de un Dispenser de GUIDs. Esta definicion normalmente se cargara del fichero de propiedades en una zona especifica como: desa com.ejie.r01f.guids.GUIDGenerator 9 9 com.ejie.r01f.guids.MemoryGUIDPersist

Constructor Summary
`GUIDDispenserDef()` Constructor
`GUIDDispenserDef(java.lang.String newAppCode, java.lang.String newSequenceName)` Constructor en base al codigo de aplicación y nombre de secuencia
`GUIDDispenserDef(java.lang.String newAppCode, java.lang.String newSequenceName, java.lang.String newUniqueID, java.lang.String newGeneratorClass, java.util.Properties newProps)` Constructor

Method Summary
`java.lang.String` | `composeDebugInfo()` Compone información de depuración
`java.lang.String` | `getAppCode()` Devuelve el codigo de aplicacion
`void` | `loadConfig(java.lang.String theAppCode, java.lang.String theSequenceId)` Carga la configuracion del fichero de propiedades de la aplicacion
`static void` | `main(java.lang.String[] args)` Main Method
`void` | `setAppCode(java.lang.String theAppCode)` Establece el codigo de aplicacion

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GUIDDispenserDef

    public GUIDDispenserDef()

  Constructor

### GUIDDispenserDef

    public GUIDDispenserDef(java.lang.String newAppCode,
                            java.lang.String newSequenceName)

  Constructor en base al codigo de aplicación y nombre de secuencia

Parameters:
  `newAppCode` - codigo de aplicacion
  `newSequenceName` - nombre de secuencia

### GUIDDispenserDef

    public GUIDDispenserDef(java.lang.String newAppCode,
                            java.lang.String newSequenceName,
                            java.lang.String newUniqueID,
                            java.lang.String newGeneratorClass,
                            java.util.Properties newProps)

  Constructor

Parameters:
  `newAppCode` - Codigo de aplicacion
  `newSequenceName` - Nombre de la secuencia en que se basa el GUID
  `newUniqueID` - Identificador unico
  `newGeneratorClass` - Nombre competo (incluido paquete) de la clase que genera los guids
  `newProps` - Propiedades del GUIDDispenser

Method Detail

### getAppCode

    public java.lang.String getAppCode()

  Devuelve el codigo de aplicacion

  Returns:
    el codigo de aplicacion

### setAppCode

    public void setAppCode(java.lang.String theAppCode)

  Establece el codigo de aplicacion

  Parameters:
    `theAppCode` - el codigo de aplicacion

### composeDebugInfo

    public java.lang.String composeDebugInfo()

  Compone información de depuración

  Returns:
    una cadena con información de depuración

### loadConfig

    public void loadConfig(java.lang.String theAppCode,
                           java.lang.String theSequenceId)

  Carga la configuracion del fichero de propiedades de la aplicacion

  Parameters:
    `theAppCode` - Codigo de aplicacion
    `theSequenceId` - Identificador de la secuencia

### main

    public static void main(java.lang.String[] args)

  Main Method

  Parameters:
    `args` -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD